Loading...
Searching...
No Matches
GridHandle.h File Reference

Defines GridHandle, which manages a host, and possibly a device, memory buffer containing one or more NanoVDB grids. More...

`#include <fstream>`
`#include <iostream>`
`#include <vector>`
`#include <initializer_list>`
`#include <nanovdb/NanoVDB.h>`
`#include <nanovdb/util/HostBuffer.h>`
`#include <nanovdb/util/GridChecksum.h>`

Go to the source code of this file.

## Classes

struct | GridHandleMetaData
class | GridHandle< BufferT >
| This class serves to manage a buffer containing one or more NanoVDB Grids. More...

## Namespaces

namespace | nanovdb
| Convert a base-pointer to an openvdb grid, denoted srcGrid, to a nanovdb grid of the same type, e.g. float -> float or openvdb::Vec3f -> nanovdb::Vec3f.

## Functions

template<typename BufferT , template< class, class... > class VectorT = std::vector>
VectorT< GridHandle< BufferT > > | splitGrids (const GridHandle< BufferT > &handle, const BufferT *other=nullptr)
| Split all grids in a single GridHandle into a vector of multiple GridHandles each with a single grid.
template<typename BufferT , template< class, class... > class VectorT>
GridHandle< BufferT > | mergeGrids (const VectorT< GridHandle< BufferT > > &handles, const BufferT *pool=nullptr)
| Combines (or merges) multiple GridHandles into a single GridHandle containing all grids.

## Detailed Description

Defines GridHandle, which manages a host, and possibly a device, memory buffer containing one or more NanoVDB grids.

Author
  Ken Museth

Date
  January 8, 2020